﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ChooseRandomTransform : MonoBehaviour
{
    [SerializeField]
    private Transform[] transforms;
    
    [SerializeField]
    private Transform platform;

    [SerializeField]
    private float[] percentage;
    // Start is called before the first frame update
    void Start()
    {
        if(!Application.isPlaying)
            return;

        int rand = Random.Range(0,100);
        int chosen = -1;
        for(int i = 0; i < percentage.Length;i++)
        {
            if(chosen >= 0)
            {
                Destroy(transforms[i].gameObject);
                continue;
            }

            if(rand <= percentage[i])
            {
                chosen = i;
            }
        }

        transforms[chosen].gameObject.SetActive(true);
        transforms[chosen].parent = null;
        platform.parent = null;
        Destroy(gameObject);
    }
}
