﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class DetectStartGame : MonoBehaviour
{
    public bool CanStart;
    [SerializeField]
    private Canvas canvas;

    public static bool startOnAwake = false;

    void Start()
    {
        if(startOnAwake)
        {
            startOnAwake = false;
            StartGame();
        }
    }

    // Update is called once per frame
    void Update()
    {
        if(!CanStart)
        {
            return;
        }

        if(Input.anyKeyDown)
        {
            StartGame();
        }
    }

    public void StartGame()
    {
        canvas.gameObject.SetActive(false);
        GameController.instance.StartGame();
    }
}
