﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Hammer : MonoBehaviour
{
    private void OnCollisionEnter2D(Collision2D collider)
    {
        Target nail = collider.gameObject.GetComponentInChildren<Target>();
        if(nail != null 
            && GameController.instance.isCurrentTargetNail()
            && nail.IsNail
            && !nail.IsPlanted)
        {
            nail.Plant();
            GameController.instance.NextState();
        }
    }
}
