﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class AddRotation : MonoBehaviour
{
    private Rigidbody2D body;

    [SerializeField]
    private KeyCode code;

    [SerializeField]
    float force;

    [SerializeField]
    private SpriteRenderer rend;

    [SerializeField]
    private Color hitColor;

    private void Awake()
    {
        body = GetComponent<Rigidbody2D>();
    }

    private void Update()
    {
        if(!GameController.instance.HasStarted || GameController.instance.GameEnded)
        {
            return;
        }
        if(Input.GetKey(code))
        {
           body.AddTorque(force,ForceMode2D.Impulse);
           rend.color = hitColor;
        }
        else
        {
            rend.color = Color.white;
        }
        
    }
}
