﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Wrench : MonoBehaviour
{
    private void OnCollisionEnter2D(Collision2D collider)
    {
        Target screw = collider.gameObject.GetComponentInChildren<Target>();
        if(screw != null 
            && GameController.instance.isCurrentTargetScrew()
            && !screw.IsNail
            && !screw.IsPlanted)
        {
            screw.Plant();
            GameController.instance.NextState();
        }
    }
}
